Archive Portal Guide
curl --request POST \
--url https://api.conduit.ai/v1/workspaces/{workspace_id}/portal-guides/{id}/archive \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"expected_updated_at": 1
}
'import requests
url = "https://api.conduit.ai/v1/workspaces/{workspace_id}/portal-guides/{id}/archive"
payload = { "expected_updated_at": 1 }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({expected_updated_at: 1})
};
fetch('https://api.conduit.ai/v1/workspaces/{workspace_id}/portal-guides/{id}/archive', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"workspace_id": "<string>",
"title": "<string>",
"blocks": [
{
"kind": "text",
"id": "<string>",
"body": "<string>",
"title": "<string>"
}
],
"created_at": 123,
"updated_at": 123,
"description": "<string>",
"category": "<string>",
"cover_image_url": "<string>",
"cover_image_attribution": {
"source": "unsplash",
"photographerName": "<string>",
"photographerUrl": "<string>",
"photoUrl": "<string>"
},
"targeting": {
"listingIds": [
"<string>"
],
"listingGroupIds": [
"<string>"
]
},
"show_after_check_in_only": true,
"order": 123
}
}{
"error": "Invalid workspace id"
}{
"error": "Invalid workspace id"
}{
"error": "Invalid workspace id"
}{
"error": "Invalid workspace id"
}{
"error": "Invalid workspace id"
}{
"error": "Invalid workspace id"
}Guides
Archive Portal Guide
Archive a portal guide without deleting it.
POST
/
v1
/
workspaces
/
{workspace_id}
/
portal-guides
/
{id}
/
archive
Archive Portal Guide
Authorizations
Conduit API token. Use Authorization: Bearer <token>. Read/write endpoints require a token with write access.
Path Parameters
Workspace identifier
Minimum string length:
1Portal guide identifier
Minimum string length:
1Body
application/json
Required range:
x >= 0Response
Archive Portal Guide
Show child attributes
Show child attributes
Was this page helpful?
⌘I